open-vm-tools 2013.09.16

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
ToolsAppCtx Struct Reference
VMware Tools Plugins

`#include <plugin.h>`

## Data Fields
ToolsCoreAPI | version
const gchar * | name
gboolean | isVMware
int | errorCode
GMainLoop * | mainLoop
RpcChannel * | rpc
GKeyFile * | config
int | blockFD
const char ** | envp
gpointer | serviceObj

## Detailed Description

Defines the context of a tools application. This data is provided by the core services to applications when they're loaded.

## Field Documentation

int ToolsAppCtx::blockFD

The FD to access the VMware blocking fs. -1 if no FD available.

GKeyFile* ToolsAppCtx::config

Service configuration from the config file.

const char** ToolsAppCtx::envp

The native environment (without any VMware modifications).

int ToolsAppCtx::errorCode

Error code to return from the main loop.

gboolean ToolsAppCtx::isVMware

Whether we're running under a VMware hypervisor.

GMainLoop* ToolsAppCtx::mainLoop

The main loop instance for the service.

const gchar* ToolsAppCtx::name

Name of the application.

RpcChannel* ToolsAppCtx::rpc

The RPC channel used to communicate with the VMX.

gpointer ToolsAppCtx::serviceObj

A GObject instance shared among all plugins. The object itself doesn't provide any functionality; but the service emits a few signals on this object (see the signal name declarations in this header), and plugins can register and emit their own signals using this object.

ToolsCoreAPI ToolsAppCtx::version

Supported API versions. This is a bit-mask.

The documentation for this struct was generated from the following file:

- lib/include/vmware/tools/plugin.h